package com.njcn.device.pms.service.majornetwork;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.device.pms.pojo.param.PmsBaseParam;
import com.njcn.device.pms.pojo.param.PmsTerminalParam;
import com.njcn.device.pms.pojo.param.TerminalQueryParam;
import com.njcn.device.pms.pojo.po.PmsTerminal;
import com.njcn.web.pojo.param.BaseParam;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author hongawen
 * @since 2022-10-14
 */
public interface ITerminalService extends IService<PmsTerminal> {

    /**
     * 分页查询所有
     * @return Page<PmsTerminal>
     */
    Page<PmsTerminal> getTerminalList(TerminalQueryParam baseParam);

    /**
     * 查询所有
     * @param
     * @return
     */
    List<PmsTerminal> getTerminalSelectList(PmsBaseParam pmsBaseParam);

    /**
     * 根据终端id集合新查询终端信息
     * @param ids
     * @return
     */
    List<PmsTerminal> getTerminalSelectByIds(List<String> ids);

    /**
     * 根据id查询
     * @return
     */
    PmsTerminal getTerminalById(String id);

    /**
     * 新增
     */
    boolean add(PmsTerminalParam terminalParam);

    /**
     * 修改
     * @param
     */
    boolean update(PmsTerminalParam updateParam);

    /**
     * 删除
     * @param ids ids
     */
    boolean delete(List<String> ids);
}
